#!/usr/bin/env python

from flask import Flask, render_template, redirect, url_for, abort, request
import openvpnstatus

app = Flask(__name__)

@app.route('/status', methods=['GET', 'POST'])
def status():
    o = openvpnstatus.openvpnstatus()
    return render_template('status.html', connections = o.connections, routes = o.routes)

@app.route('/socialnerds')
def redir():
    return redirect('https://www.socialnerds.org')

@app.route('/form', methods=['GET', 'POST'])
def formular():
    something = "iatren"
    if request.method == 'POST':
        value = request.form['textfield']
        return render_template("footer.html", test=value, test2=value)
    else:   
        return render_template("form.html")


if __name__ == '__main__':
    app.run(debug=True)
